
From: <Valdis.Kletnieks@vt.edu>

This patch changes a bunch of '#if CONFIG_PCI' to '#ifdef' instead,
to make the kernel source cleaner for compiling with 'gcc -Wundef'.

Signed-off-by: Karsten keil <kkeil@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hisax/bkm_a4t.c      |    4 ++--
 25-akpm/drivers/isdn/hisax/bkm_a8.c       |    4 ++--
 25-akpm/drivers/isdn/hisax/diva.c         |    2 +-
 25-akpm/drivers/isdn/hisax/elsa.c         |    2 +-
 25-akpm/drivers/isdn/hisax/enternow_pci.c |    2 +-
 25-akpm/drivers/isdn/hisax/gazel.c        |    2 +-
 25-akpm/drivers/isdn/hisax/hfc_pci.c      |    4 ++--
 25-akpm/drivers/isdn/hisax/niccy.c        |    2 +-
 25-akpm/drivers/isdn/hisax/nj_s.c         |    2 +-
 25-akpm/drivers/isdn/hisax/nj_u.c         |    4 ++--
 25-akpm/drivers/isdn/hisax/sedlbauer.c    |    2 +-
 25-akpm/drivers/isdn/hisax/telespci.c     |    2 +-
 25-akpm/drivers/isdn/hisax/w6692.c        |    2 +-
 13 files changed, 17 insertions(+), 17 deletions(-)

diff -puN drivers/isdn/hisax/bkm_a4t.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/bkm_a4t.c
--- 25/drivers/isdn/hisax/bkm_a4t.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/bkm_a4t.c	Tue Aug 24 15:19:00 2004
@@ -265,7 +265,7 @@ setup_bkm_a4t(struct IsdnCard *card)
 	char tmp[64];
 	u_int pci_memaddr = 0, found = 0;
 	I20_REGISTER_FILE *pI20_Regs;
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 #endif
 
 	strcpy(tmp, bkm_a4t_revision);
@@ -275,7 +275,7 @@ setup_bkm_a4t(struct IsdnCard *card)
 	} else
 		return (0);
 
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 	while ((dev_a4t = pci_find_device(PCI_VENDOR_ID_ZORAN,
 		PCI_DEVICE_ID_ZORAN_36120, dev_a4t))) {
 		u16 sub_sys;
diff -puN drivers/isdn/hisax/bkm_a8.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/bkm_a8.c
--- 25/drivers/isdn/hisax/bkm_a8.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/bkm_a8.c	Tue Aug 24 15:19:00 2004
@@ -21,7 +21,7 @@
 #include <linux/pci.h>
 #include "bkm_ax.h"
 
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 
 #define	ATTEMPT_PCI_REMAPPING	/* Required for PLX rev 1 */
 
@@ -285,7 +285,7 @@ static u_char pci_irq __initdata = 0;
 int __init
 setup_sct_quadro(struct IsdnCard *card)
 {
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 	struct IsdnCardState *cs = card->cs;
 	char tmp[64];
 	u_char pci_rev_id;
diff -puN drivers/isdn/hisax/diva.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/diva.c
--- 25/drivers/isdn/hisax/diva.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/diva.c	Tue Aug 24 15:19:00 2004
@@ -1027,7 +1027,7 @@ setup_diva(struct IsdnCard *card)
 			}
 		}
 #endif
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 		cs->subtyp = 0;
 		if ((dev_diva = pci_find_device(PCI_VENDOR_ID_EICON,
 			PCI_DEVICE_ID_EICON_DIVA20, dev_diva))) {
diff -puN drivers/isdn/hisax/elsa.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/elsa.c
--- 25/drivers/isdn/hisax/elsa.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/elsa.c	Tue Aug 24 15:19:00 2004
@@ -1022,7 +1022,7 @@ setup_elsa(struct IsdnCard *card)
 		       cs->hw.elsa.base,
 		       cs->irq);
 	} else if (cs->typ == ISDN_CTYPE_ELSA_PCI) {
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 		cs->subtyp = 0;
 		if ((dev_qs1000 = pci_find_device(PCI_VENDOR_ID_ELSA,
 			PCI_DEVICE_ID_ELSA_MICROLINK, dev_qs1000))) {
diff -puN drivers/isdn/hisax/enternow_pci.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/enternow_pci.c
--- 25/drivers/isdn/hisax/enternow_pci.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/enternow_pci.c	Tue Aug 24 15:19:00 2004
@@ -299,7 +299,7 @@ setup_enternow_pci(struct IsdnCard *card
 	struct IsdnCardState *cs = card->cs;
 	char tmp[64];
 
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 #ifdef __BIG_ENDIAN
 #error "not running on big endian machines now"
 #endif
diff -puN drivers/isdn/hisax/gazel.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/gazel.c
--- 25/drivers/isdn/hisax/gazel.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/gazel.c	Tue Aug 24 15:19:00 2004
@@ -634,7 +634,7 @@ setup_gazel(struct IsdnCard *card)
 			return (0);
 	} else {
 
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 		if (setup_gazelpci(cs))
 			return (0);
 #else
diff -puN drivers/isdn/hisax/hfc_pci.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/hfc_pci.c
--- 25/drivers/isdn/hisax/hfc_pci.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/hfc_pci.c	Tue Aug 24 15:19:00 2004
@@ -65,7 +65,7 @@ static const PCI_ENTRY id_list[] =
 };
 
 
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 
 /******************************************/
 /* free hardware resources used by driver */
@@ -1655,7 +1655,7 @@ setup_hfcpci(struct IsdnCard *card)
 #endif
 	strcpy(tmp, hfcpci_revision);
 	printk(KERN_INFO "HiSax: HFC-PCI driver Rev. %s\n", HiSax_getrev(tmp));
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 	cs->hw.hfcpci.int_s1 = 0;
 	cs->dc.hfcpci.ph_state = 0;
 	cs->hw.hfcpci.fifo = 255;
diff -puN drivers/isdn/hisax/niccy.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/niccy.c
--- 25/drivers/isdn/hisax/niccy.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/niccy.c	Tue Aug 24 15:19:00 2004
@@ -309,7 +309,7 @@ setup_niccy(struct IsdnCard *card)
 			return (0);
 		}
 	} else {
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 		u_int pci_ioaddr;
 		cs->subtyp = 0;
 		if ((niccy_dev = pci_find_device(PCI_VENDOR_ID_SATSAGEM,
diff -puN drivers/isdn/hisax/nj_s.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/nj_s.c
--- 25/drivers/isdn/hisax/nj_s.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/nj_s.c	Tue Aug 24 15:19:00 2004
@@ -167,7 +167,7 @@ setup_netjet_s(struct IsdnCard *card)
 		return(0);
 	test_and_clear_bit(FLG_LOCK_ATOMIC, &cs->HW_Flags);
 
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 
 	for ( ;; )
 	{
diff -puN drivers/isdn/hisax/nj_u.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/nj_u.c
--- 25/drivers/isdn/hisax/nj_u.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/nj_u.c	Tue Aug 24 15:19:00 2004
@@ -137,7 +137,7 @@ setup_netjet_u(struct IsdnCard *card)
 	int bytecnt;
 	struct IsdnCardState *cs = card->cs;
 	char tmp[64];
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 #endif
 #ifdef __BIG_ENDIAN
 #error "not running on big endian machines now"
@@ -148,7 +148,7 @@ setup_netjet_u(struct IsdnCard *card)
 		return(0);
 	test_and_clear_bit(FLG_LOCK_ATOMIC, &cs->HW_Flags);
 
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 
 	for ( ;; )
 	{
diff -puN drivers/isdn/hisax/sedlbauer.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/sedlbauer.c
--- 25/drivers/isdn/hisax/sedlbauer.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/sedlbauer.c	Tue Aug 24 15:19:00 2004
@@ -618,7 +618,7 @@ setup_sedlbauer(struct IsdnCard *card)
 		}
 #endif
 /* Probe for Sedlbauer speed pci */
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 		if ((dev_sedl = pci_find_device(PCI_VENDOR_ID_TIGERJET,
 				PCI_DEVICE_ID_TIGERJET_100, dev_sedl))) {
 			if (pci_enable_device(dev_sedl))
diff -puN drivers/isdn/hisax/telespci.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/telespci.c
--- 25/drivers/isdn/hisax/telespci.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/telespci.c	Tue Aug 24 15:19:00 2004
@@ -300,7 +300,7 @@ setup_telespci(struct IsdnCard *card)
 	printk(KERN_INFO "HiSax: Teles/PCI driver Rev. %s\n", HiSax_getrev(tmp));
 	if (cs->typ != ISDN_CTYPE_TELESPCI)
 		return (0);
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 	if ((dev_tel = pci_find_device (PCI_VENDOR_ID_ZORAN, PCI_DEVICE_ID_ZORAN_36120, dev_tel))) {
 		if (pci_enable_device(dev_tel))
 			return(0);
diff -puN drivers/isdn/hisax/w6692.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax drivers/isdn/hisax/w6692.c
--- 25/drivers/isdn/hisax/w6692.c~269-rc1-ifdef-fixes-for-drivers-isdn-hifax	Tue Aug 24 15:19:00 2004
+++ 25-akpm/drivers/isdn/hisax/w6692.c	Tue Aug 24 15:19:00 2004
@@ -1012,7 +1012,7 @@ setup_w6692(struct IsdnCard *card)
 	printk(KERN_INFO "HiSax: W6692 driver Rev. %s\n", HiSax_getrev(tmp));
 	if (cs->typ != ISDN_CTYPE_W6692)
 		return (0);
-#if CONFIG_PCI
+#ifdef CONFIG_PCI
 	while (id_list[id_idx].vendor_id) {
 		dev_w6692 = pci_find_device(id_list[id_idx].vendor_id,
 					    id_list[id_idx].device_id,
_
